Gridstate
ApiV1Generation plants

List current EIA generation plants

GET
/v1/generation-plants

Authorization

BearerAuth
AuthorizationBearer <token>

In: header

Query Parameters

state?string
county?string
ba_code?string
cursor?string
limit?integer
Range1 <= value <= 500

Response Body

application/json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

curl -X GET "https://example.com/v1/generation-plants"
{  "data": [    {      "id": "string",      "eiaPlantId": 0,      "plantName": "string",      "utilityId": 0,      "utilityName": "string",      "state": "string",      "county": "string",      "latitude": 0,      "longitude": 0,      "balancingAuthorityCode": "string",      "nercRegion": "string",      "sectorName": "string",      "preliminary": true,      "evidence": {        "sourceId": "string",        "assetHash": "string",        "sourceLocator": "string",        "observedAt": "string"      },      "qualityFlags": [        {          "code": "string",          "severity": "info",          "field": "string",          "message": "string"        }      ]    }  ],  "meta": {    "hasMore": true,    "limit": 1,    "nextCursor": "string",    "order": "id_asc"  }}